%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name VersionControl_Git

Name:           php-pear-VersionControl-Git
Version:        0.4.4

Release:        1%{?dist}
Summary:        Provides OO interface to handle Git repository

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/VersionControl_Git
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       php-pear(PEAR) >= 1.3.5

%description
VersionControl_Git is a library that provides OO interface to handle Git repository.
You can use Git command via the wrapper class. Some features are provided by high-featured interface.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE1} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}%{?beta}/%{pear_name}.xml

cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG

%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/VersionControl/Git.php
%{pear_phpdir}/VersionControl/Git
%{pear_testdir}/%{pear_name}
%{pear_docdir}/%{pear_name}

%changelog
* Tue Oct 22 2013 Daniel Berteaud <daniel@firewall-services.com> 0.4.4-1
- Initial packaging

